Subject: Goliath, MacOS X Client and WebCT Vista

From: Frank Lowney <[email-masked]>
Date: Fri, 14 Jan 2005 16:52:09 -0500

I tried to put this question directly to [email-masked]
(this address comes from the mailto: tag on the bottom of the page at:
http://www.webdav.org/goliath/) but the message was bounced.  If
anyone here can forward this to Thomas, I would appreciate it.

As well, if anyone here can reply to any of all of this query,
that would be appreciated too.

Thanks in advance for any help on this.

-------------------------- msg to forward
-------------------------

Hello,

In our university system (Georgia), we
use an enterprise level Learning Management System called "WebCT
Vista" which supports WebDAV in addition to traditional/classic
HTTP upload methods (see
http://www.webct.com/vista).

I'm one of the few Vista Institutional
Admins who are also Mac users so have been asked to look into problems
that have been reported by Mac users of the system and investigated by
WebCT technical support personnel (see report quoted
below).

Goliath was identified as a solution to
a problem with the MacOS X client having to do with its behavior in
updating files that have been modified (e.g. edited).
Apparently, the MacOS X client deletes and recreates the file which
destroys important metadata on the server (IMS ContentID) and Goliath
(as well as many other WebDAV clients) does not.

Unfortunately, we cannot use Goliath
instead of the MacOS X client because port 21 is not available to our
students (fire wall) and is needed by Goliath.  This claim seemed
strange to me because I had thought that all WebDAV clients used HTTP
port 80 alone.  Is this not the case?

WebCT Vista operates a bit differently
than most other WebDAV-enabled servers in that it generates the URI
that client apps need.  Here's an actual
example:

http://vista.gsu.edu:8000/webct/webdav/131.96.160.58-1044482159055-3283261001.flowney/University+System+of+Georgia/Georgia+College+and+State+University/EIS+Testing/QuickTime+Test+Site/QuickTime+Streaming+(Sect.+01)/Section+Content

Obviously, the length and complexity of
these URIs makes such a practice necessary.

Now for my question.

As far as you know, are the statements
below accurate?  Whatever insights you'd care to share will be
greatly appreciated.

------------------- from WebCT
Support --------------------

Mac Finder's functionality causes it
to delete and recreate a file when

uploading an updated version. As a result, the Content ID of the
file

will change, and all links to that file will be broken. This is an

issue with Mac Finder.

Goliath, a WebDAV client for Macintosh, does not have this issue,
and

was recommended to be used instead of Mac Finder. However, Goliath
does

not function correctly with Georgia's Vista instance because it needs
to

work through port 21, which is blocked at the firewall.

Mac Finder's WebDAV behaviour does not match

that of any other WebDAV client we have tested with.  Finder is
the only

one I know of so far that deletes and recreates a brand new file when
uploading

an updated version of a file.  All other tested WebDAV clients
open the

existing file on the server and replace the contents.  Given that
we don't

have Partner, or Higher Escalation status with Apple, a possible
solution is to

have both USG and WebCT log a ticket with Apple Customer Support on
this

issue.  Depending on how much hardware and software that is
purchased and

deployed on the Georgia campuses, USG may have more influence than
WebCT on

Apple.

--

=====================================================================

Dr. Frank Lowney  [email-masked]

Director, Electronic Instructional Services, a unit
of the

Office of Information and Instructional
Technology,

Professional Pages:
http://www.gcsu.edu/oiit/eis/

Personal Pages:
http://www.faculty.de.gcsu.edu/~flowney

Voice: (478) 445-5260

NOTICE: Please be advised that I am hearing impaired and communicate
most effectively via e-mail.  Follow-up summaries of telephone
conversations by e-mail are most appreciated.

=====================================================================

We don't make instruction effective, we make effective instruction
more accessible.

---

From: Brian Korver <[email-masked]>
Date: Fri, 14 Jan 2005 15:19:57 -0800

Goliath is not limited to port 21.  In fact, port 21 is generally used  
for FTP, so
it is unlikely that it would be used for DAV (or HTTP).  I think  
there's a Windows
FTP client called Goliath, so maybe that's the source of the confusion.

-brian
[email-masked]

On Jan 14, 2005, at 1:52 PM, Frank Lowney wrote:
> I tried to put this question directly to [email-masked] (this  
> address comes from the mailto: tag on the bottom of the page at:  
> As well, if anyone here can reply to any of all of this query, that  
> would be appreciated too.
>
> -------------------------- msg to forward -------------------------
>
> Hello,
>
> In our university system (Georgia), we use an enterprise level  
> Learning Management System called "WebCT Vista" which supports WebDAV  
> in addition to traditional/classic HTTP upload methods (see  
> I'm one of the few Vista Institutional Admins who are also Mac users  
> so have been asked to look into problems that have been reported by  
> Mac users of the system and investigated by WebCT technical support  
> personnel (see report quoted below). 
>
> Goliath was identified as a solution to a problem with the MacOS X  
> client having to do with its behavior in updating files that have been  
> modified (e.g. edited).  Apparently, the MacOS X client deletes and  
> recreates the file which destroys important metadata on the server  
> (IMS ContentID) and Goliath (as well as many other WebDAV clients)  
> does not.
>
> Unfortunately, we cannot use Goliath instead of the MacOS X client  
> because port 21 is not available to our students (fire wall) and is  
> needed by Goliath.  This claim seemed strange to me because I had  
> thought that all WebDAV clients used HTTP port 80 alone.  Is this not  
> the case?
>
> WebCT Vista operates a bit differently than most other WebDAV-enabled  
> servers in that it generates the URI that client apps need.  Here's an  
> actual example:
>
> http://vista.gsu.edu:8000/webct/webdav/131.96.160.58-1044482159055 
> -3283261001.flowney/University+System+of+Georgia/ 
> Georgia+College+and+State+University/EIS+Testing/QuickTime+Test+Site/ 
> QuickTime+Streaming+(Sect.+01)/Section+Content
>
> Obviously, the length and complexity of these URIs makes such a  
> practice necessary.
>
> Now for my question.
>
> As far as you know, are the statements below accurate?  Whatever  
> insights you'd care to share will be greatly appreciated. 
>
> ------------------- from WebCT Support --------------------
>
> Mac Finder's functionality causes it to delete and recreate a file when
>  uploading an updated version. As a result, the Content ID of the file
>  Goliath, a WebDAV client for Macintosh, does not have this issue, and
>  that of any other WebDAV client we have tested with.  Finder is the  
> only
>  an updated version of a file.  All other tested WebDAV clients open  
> the
>  existing file on the server and replace the contents.  Given that we  
> don't
>  issue.  Depending on how much hardware and software that is purchased  
> and
>      Director, Electronic Instructional Services, a unit of the
>      Office of Information and Instructional Technology,
>      Professional Pages: http://www.gcsu.edu/oiit/eis/
>      Personal Pages: http://www.faculty.de.gcsu.edu/~flowney
>  Voice: (478) 445-5260